<?php
session_start();
require_once ("../conexion.php");
include '../include/sesiones.php';
//$tipo=$_POST['tipo'];
if (isset($_POST['tipo'])){$tipo=$_POST['tipo'];} else {$tipo='articulos';}
if ($tipo=='articulos') 
{
	
	if (isset($_POST['art_id'])){$art_id=$_POST['art_id']; $art_id;}
	if (isset($_POST['barras'])){$art_barras=$_POST['barras'];}
	if (isset($_POST['cantidad'])){$cantidad=$_POST['cantidad'];}
	if (isset($_POST['nombre'])){$nombre=$_POST['nombre'];}
	if (isset($_POST['texto_adicional'])){$texto_adicional=$_POST['texto_adicional'];}

	if (!empty($art_barras) and !empty($cantidad)  and !empty($nombre))
	{
		$sqll=mysqli_query($con,"SELECT eti_art_id FROM etiquetas_temp WHERE eti_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") ;
	    if($roww=mysqli_fetch_array($sqll))
	        { 
	            $can7=mysqli_query($con,"SELECT * FROM etiquetas_temp WHERE eti_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
	            while($dato=mysqli_fetch_array($can7))
	            {
	                $r=$dato['eti_art_id'];            
	                $c=$dato['eti_cantidad'];
	                $suma=$cantidad+$c;
	            }
	            $registros=mysqli_query($con,"UPDATE etiquetas_temp Set eti_cantidad='$suma' Where eti_art_id='$art_id' and empresa='$empresa'  and usuario='$usu_id'") or die(mysqli_error($con));
	        }
	        else
	        {   
	            $insert_tmp=mysqli_query($con, "INSERT INTO etiquetas_temp (eti_art_id,eti_barras,eti_cantidad,texto_adicional,tipo,eti_nombre,usuario,empresa) 
	           	VALUES ('$art_id','$art_barras','$cantidad','$texto_adicional','$tipo','$nombre','$usu_id','$empresa')");
	        }           
	}
}

else if ($tipo=='combos') {

	if (isset($_POST['com_id'])){$art_id=$_POST['com_id']; $art_id;}
	if (isset($_POST['barras_combo'])){$art_barras=$_POST['barras_combo'];}
	if (isset($_POST['cantidad_combo'])){$cantidad=$_POST['cantidad_combo'];}
	if (isset($_POST['nombre_combo'])){$nombre=$_POST['nombre_combo'];}
	if (isset($_POST['texto_adicional_combo'])){$texto_adicional=$_POST['texto_adicional_combo'];}

	if (!empty($art_barras) and !empty($cantidad)  and !empty($nombre))
	{
		$sqll=mysqli_query($con,"SELECT eti_art_id FROM etiquetas_temp WHERE eti_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") ;
	    if($roww=mysqli_fetch_array($sqll))
	        { 
	            $can7=mysqli_query($con,"SELECT * FROM etiquetas_temp WHERE eti_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
	            while($dato=mysqli_fetch_array($can7))
	            {
	                $r=$dato['eti_art_id'];            
	                $c=$dato['eti_cantidad'];
	                $suma=$cantidad+$c;
	            }
	            $registros=mysqli_query($con,"UPDATE etiquetas_temp Set eti_cantidad='$suma' Where eti_art_id='$art_id' and empresa='$empresa'  and usuario='$usu_id'") or die(mysqli_error($con));
	        }
	        else
	        {   
	            $insert_tmp=mysqli_query($con, "INSERT INTO etiquetas_temp (eti_art_id,eti_barras,eti_cantidad,texto_adicional,tipo,eti_nombre,usuario,empresa) 
	           	VALUES ('$art_id','$art_barras','$cantidad','$texto_adicional','$tipo','$nombre','$usu_id','$empresa')");
	        }           
	}
	
}

?>
<table class="table table-bordered table-hover table-striped">
	<tr>
		<th width="12%">CODIGO DE BARRAS</th>
		<th width="10%">CANTIDAD</th>
		<th>DESCRIPCION</th>
		<?php if ($texto_adicional=='si') { ?>			
		<th width="22%">TEXTO ADICIONAL</th>
	<?php } ?>
		<th width="1%"></th>
	</tr>
<?php
	$sumador_total=0;
	$sql=mysqli_query($con, "SELECT * from  etiquetas_temp where usuario='$usu_id' and  empresa='$empresa' ");
	while ($row=mysqli_fetch_array($sql))
	{
	$id=$row["eti_id"];
	$eti_id=$row["eti_id"];
	$eti_barras=$row['eti_barras'];
	$eti_nombre=$row['eti_nombre'];
	$eti_cantidad=$row['eti_cantidad'];
	$texto_adicional1=$row['texto_adicional'];
?>
	<tr>
		<td><?php echo $eti_barras;?></td>
		<td>
			<div class="input-group">
                <span class="input-group-addon">
                    <a  onclick="restar(<?php echo $id;?>)" ><i class="btn-icon-only icon-minus"></i></a>
                </span> 
                <input type="text" class="form-control input-sm" style="min-width:60px;" value="<?php echo $eti_cantidad;?>" onChange="update_cantidad(<?php echo $id;?>,this.value);">
                <span class="input-group-addon">
                    <a  onclick="sumar(<?php echo $id;?>)" ><i class="btn-icon-only icon-plus"></i></a>
                </span> 
            </div>

		</td>

		<td><?php echo $eti_nombre;?></td>
		
		
			<?php if($texto_adicional=='si') { ?>
			<td>
				<input type="text"  class="form-control input-sm" maxlength="16" title="MAXIMO 16 LETRAS" name="texto_adicional" value="<?php echo $texto_adicional1;?>" onblur="update_tex_adi(<?php echo $id;?>,this.value);">
			</td>
			<?php } else  { ?>
			
				<input type="hidden"  class="form-control input-sm" name="texto_adicional" value="">
			
			<?php } ?>
		
		
		
			
		<td>
			<a href="#" id="del-<?php echo $row["eti_id"];?>" class="btn btn-xs btn-danger"> <i class="btn-icon-only icon-remove"></i></a>
			<script>
				$("#del-"+<?php echo $row["eti_id"];?>).click(function(e){
				e.preventDefault();
				p = confirm("Estas seguro?");
				if(p){
				$.get("./php_etiquetas/eliminar.php","eti_id="+<?php echo $row["eti_id"];?>,function(data){
				loadTabla();
					});
					}
				});
			</script>
		</td>
	</tr>		
<?php } ?>
	<tr>
		<td><span class="pull-right"></span></td>
		<td ><span class="pull-left">  <?php
			  $sum=mysqli_query($con,"SELECT sum(eti_cantidad) as eti_cantidad FROM etiquetas_temp where empresa='$empresa' and usuario='$usu_id' ") or die(mysqli_error($con));
			  $sum=mysqli_fetch_array($sum);
			  $eti_cantidad=$sum['eti_cantidad'];
			  ?>
			      <strong><a  title="" class=""><span class="badgeazul"><i class="btn-icon-only "><?php echo $eti_cantidad; ?></i></span></a></strong>
			  </span>
		</td>
		<td ><span class="pull-right"></span></td>
		<td></td>
	</tr>
</table>
<div class="modal-footer ">
 	<a href="php_etiquetas/eliminar_todo.php"  class="btn btn-danger" ><span class="btn-icon-only icon-remove"></span> Eliminar Todo</a>
	
	<a href="php_etiquetas/plantilla.php" target="_blank" class="btn btn-success" ><span class="btn-icon-only icon-print"></span> Imprimir </a>
	 		
	 	
</div>
  

<script type="text/javascript">

function update_cantidad(campo,valor){
var parametros = {"action":"update","campo":campo,"valor":valor}; 
$.ajax({
    type: "POST",
    url: "php_etiquetas/modificar_cantidad.php",
    data: parametros,
     beforeSend: function(objeto){
      $("#carga").html("Mensaje: Cargando...");
      },
    success: function(datos){
    $("#carga").html(datos);
    }
      });
    loadTabla();
}


function restar(id)
{
    var campo = 'resta';
    var dataString = 'eti_id=' + id + '&campo=' + campo;
    $.ajax({
        type: "POST",
        url: "php_etiquetas/restar_sumar.php",
        data: dataString,
        beforeSend: function(objeto){
             $('#carga').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#carga").html(datos);
        loadTabla();
       
       
        }
    });
}
function sumar(id)
{
    var campo = 'suma';
    var dataString = 'eti_id=' + id + '&campo=' + campo;
    $.ajax({
        type: "POST",
        url: "php_etiquetas/restar_sumar.php",
        data: dataString,
        beforeSend: function(objeto){
             $('#carga').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#carga").html(datos);
        loadTabla();
        
        
        }
    });
}



function update_tex_adi(campo,texto_adicional){
var parametros = {"action":"update","campo":campo,"texto_adicional":texto_adicional}; 
$.ajax({
    type: "POST",
    url: "./php_etiquetas/editar_texto_adicional.php",
    data: parametros,
     beforeSend: function(objeto){
      $("#resultados").html("Mensaje: Cargando...");
      },
    success: function(datos){
    $("#resultados").html(datos);
    }
      });
    loadTabla();
    
} 

</script>